Bootloader mismatch

Discussion about Z-Uno product. Visit http://z-uno.z-wave.me for more details.
Post Reply
Black Cat
Posts: 61
Joined: 02 Mar 2016 00:52

Bootloader mismatch

Post by Black Cat » 07 Jan 2019 02:56

This is doing my head in.

How does one upgrade the bootloader, I have tried all combinations I can think of, sketch is a known working sketch but returns.

Z-UNO core version and device version mismatch. You have 2.1.1 Firmware on the board. Core version is 2.0.9
Please upgrade the bootloader.

When I try to upgrade the bootloader I get the following error message.

Error 0 There is no firmware "zuno_bootloader_AAAABBBB011501100001020B*.bin" that is needed for your Z-Uno

Error while burning bootloader.

The Trouble shooter says to download to a stable version first, but how do I do that and why was it upgraded to a unstable version in the place instance?

After 3 hours of going back and forthe what am I missing?

froggy
Posts: 6
Joined: 02 Jan 2019 22:36

Re: Bootloader mismatch

Post by froggy » 08 Jan 2019 16:08

Have you installed in the Arduino IDE the latest Z-Uno libraries? I think the the latest Z-uno Core is 2.1.3.

Black Cat
Posts: 61
Joined: 02 Mar 2016 00:52

Re: Bootloader mismatch

Post by Black Cat » 09 Jan 2019 00:48

How can you update the libaries?
THe only link is in the Perferences and that has no update link.

From the Trouble Shooter:
I can not burn bootloader 🔗
If you see the following error:

Error 0 There is no firmware "zuno_bootloader_....*.bin" that is needed for your Z-Uno
you are trying to update from some test version. To be able upgrade you need to downgrade first to the latest stable version and then install the desired version.

So the question remains:
    • Where do I find a stable version this refers to, and which does it refer to, the Bootloader or Z-Uno FW?
      How do I up/downgrade?
lastly, I have always used the same Arduno Program, so how has a newer version become available without requesting an upgrade?

User avatar
PoltoS
Posts: 4407
Joined: 26 Jan 2011 19:36

Re: Bootloader mismatch

Post by PoltoS » 09 Jan 2019 08:57

Go to Board Manager, update to the latest (2.1.4), then do Burn bootloader again

Black Cat
Posts: 61
Joined: 02 Mar 2016 00:52

Re: Bootloader mismatch

Post by Black Cat » 10 Jan 2019 10:21

^^^^
That worked, but the program doesn't make it clear. For anyone else wondering how it is done.

Tools>Board>Board Manager>Scroll down to ZUNO>Instal, Update or Mpre Info (depending what you want, I found More Info worked)>Select Version>Install.

I will give up trying to understand how it happened. :)

User avatar
PoltoS
Posts: 4407
Joined: 26 Jan 2011 19:36

Re: Bootloader mismatch

Post by PoltoS » 18 Jan 2019 01:22

I expect that you updated your Z-Uno in another machine where 2.1.4 was installed. So when you went back to the older machine it complained

Post Reply